#ifndef GRAPHICS_H
#define GRAPHICS_H

#include <GL/gl.h>
#include <glm/vec2.hpp>

void initGraphics ();

void graphicsFrame ();

void initBuffers (GLuint* vaoNum);

void initTexture (GLuint* texNum, const char* path);

void initShader();

void printShaderCompileLog(GLuint shader);

void updateModel(glm::vec2 headPos, glm::vec2 facePos, float scale, bool mouthOpen);

#endif
